Loading...
Searching...
No Matches
RDKit::Canon::AtomCompareFunctor Class Reference

`#include <new_canon.h>`

## Public Member Functions

| AtomCompareFunctor ()
| AtomCompareFunctor (Canon::canon_atom *atoms, const ROMol &m, const boost::dynamic_bitset<> *atomsInPlay=nullptr, const boost::dynamic_bitset<> *bondsInPlay=nullptr)
int | operator() (int i, int j) const

## Public Attributes

Canon::canon_atom * | dp_atoms {nullptr}
const ROMol * | dp_mol {nullptr}
const boost::dynamic_bitset * | dp_atomsInPlay {nullptr}
const boost::dynamic_bitset * | dp_bondsInPlay {nullptr}
bool | df_useNbrs {false}
bool | df_useIsotopes {true}
bool | df_useChirality {true}
bool | df_useChiralityRings {true}
bool | df_useAtomMaps {true}
bool | df_useNonStereoRanks {false}
bool | df_useChiralPresence {true}
bool | df_useAtomMapsOnDummies {true}

## Detailed Description

Definition at line 283 of file new_canon.h.

## Constructor & Destructor Documentation

## AtomCompareFunctor() [1/2]

RDKit::Canon::AtomCompareFunctor::AtomCompareFunctor | ( |  | ) |

inline

Definition at line 516 of file new_canon.h.

## AtomCompareFunctor() [2/2]

RDKit::Canon::AtomCompareFunctor::AtomCompareFunctor | ( | Canon::canon_atom * | atoms,
|  | const ROMol & | m,
|  | const boost::dynamic_bitset<> * | atomsInPlay = nullptr,
|  | const boost::dynamic_bitset<> * | bondsInPlay = nullptr )

inline

Definition at line 517 of file new_canon.h.

References dp_atoms, dp_atomsInPlay, dp_bondsInPlay, and dp_mol.

## Member Function Documentation

## operator()()

int RDKit::Canon::AtomCompareFunctor::operator() | ( | int | i,
|  | int | j ) const

inline

Definition at line 525 of file new_canon.h.

References RDKit::Canon::bondholder::compare(), df_useNbrs, dp_atoms, dp_atomsInPlay, and RDKit::Canon::updateAtomNeighborIndex().

## Member Data Documentation

## df_useAtomMaps

bool RDKit::Canon::AtomCompareFunctor::df_useAtomMaps {true}

Definition at line 511 of file new_canon.h.

## df_useAtomMapsOnDummies

bool RDKit::Canon::AtomCompareFunctor::df_useAtomMapsOnDummies {true}

Definition at line 514 of file new_canon.h.

## df_useChirality

bool RDKit::Canon::AtomCompareFunctor::df_useChirality {true}

Definition at line 509 of file new_canon.h.

## df_useChiralityRings

bool RDKit::Canon::AtomCompareFunctor::df_useChiralityRings {true}

Definition at line 510 of file new_canon.h.

## df_useChiralPresence

bool RDKit::Canon::AtomCompareFunctor::df_useChiralPresence {true}

Definition at line 513 of file new_canon.h.

## df_useIsotopes

bool RDKit::Canon::AtomCompareFunctor::df_useIsotopes {true}

Definition at line 508 of file new_canon.h.

## df_useNbrs

bool RDKit::Canon::AtomCompareFunctor::df_useNbrs {false}

Definition at line 507 of file new_canon.h.

Referenced by operator()().

## df_useNonStereoRanks

bool RDKit::Canon::AtomCompareFunctor::df_useNonStereoRanks {false}

Definition at line 512 of file new_canon.h.

## dp_atoms

Canon::canon_atom* RDKit::Canon::AtomCompareFunctor::dp_atoms {nullptr}

Definition at line 503 of file new_canon.h.

Referenced by AtomCompareFunctor(), and operator()().

## dp_atomsInPlay

const boost::dynamic_bitset* RDKit::Canon::AtomCompareFunctor::dp_atomsInPlay {nullptr}

Definition at line 505 of file new_canon.h.

Referenced by AtomCompareFunctor(), and operator()().

## dp_bondsInPlay

const boost::dynamic_bitset * RDKit::Canon::AtomCompareFunctor::dp_bondsInPlay {nullptr}

Definition at line 506 of file new_canon.h.

Referenced by AtomCompareFunctor().

## dp_mol

const ROMol* RDKit::Canon::AtomCompareFunctor::dp_mol {nullptr}

Definition at line 504 of file new_canon.h.

Referenced by AtomCompareFunctor().

The documentation for this class was generated from the following file:

- new_canon.h